import 'dart:math';
import 'dart:ui';

import 'vector2.dart';

export 'dart:ui' show Size;

extension SizeExtension on Size {
  Offset toOffset() => Offset(width, height);

  Vector2 toVector2() => Vector2(width, height);

  Point toPoint() => Point(width, height);

  Rect toRect() => Rect.fromLTWH(0, 0, width, height);
}
